Bug 840348 - [abrt] zsh-4.3.17-1.fc17: __GI___libc_free: Process /usr/bin/zsh was killed by signal 11 (SIGSEGV)
[abrt] zsh-4.3.17-1.fc17: __GI___libc_free: Process /usr/bin/zsh was killed b...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: zsh (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: James Antill
Fedora Extras Quality Assurance
abrt_hash:ede6ff2b75a61638cc4d1aa3c13...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-16 01:04 EDT by Arnaud Lacombe
Modified: 2013-07-31 21:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 21:01:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: maps (5.05 KB, text/plain)
2012-07-16 01:04 EDT, Arnaud Lacombe
no flags Details
File: backtrace (14.63 KB, text/plain)
2012-07-16 01:04 EDT, Arnaud Lacombe
no flags Details

  None (edit)
Description Arnaud Lacombe 2012-07-16 01:04:34 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /bin/zsh
comment:        Start a shell with screen(1). It would seem to be related to overrid the TERM variable.
crash_function: __GI___libc_free
executable:     /usr/bin/zsh
kernel:         3.4.4-5.fc17.x86_64
pid:            1583
time:           Mon Jul 16 00:46:17 2012
uid:            1000
username:       al

backtrace:      Text file, 14981 bytes
maps:           Text file, 5170 bytes

build_ids:
:d32cbeacfd9f41e3cd29b697dd111f44a2d9c127
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38
:e605200f6abfb06b9feecb3c199c1caa249e3d89
:73777e822e00ca152ffca281ab0ace0cb498ec48
:5dd234206476b0387cd251598aa72a2c95c763c5
:2583bf68f2f1c27bb1d9964faa91971bd35e14d8
:f64b7319b84d426ed547084bdb2577f4f596c18f
:dec0de92024bee74c75c04bde4c54c097fe68ae8
:a562117b6128fbe046baacfa938f351bd590d514
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65
:4d09d82785dab5f95c01b69bc0785145a5954d30
:db1b4087b2d3bbced5355c6a9eaf69e2f9ee0341

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/al/8

core_backtrace:
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x801bc free libc.so.6 -
:2583bf68f2f1c27bb1d9964faa91971bd35e14d8 0xee50 - libtinfo.so.5 -
:2583bf68f2f1c27bb1d9964faa91971bd35e14d8 0xef38 _nc_last_db libtinfo.so.5 -
:2583bf68f2f1c27bb1d9964faa91971bd35e14d8 0x17959 _nc_read_entry libtinfo.so.5 -
:2583bf68f2f1c27bb1d9964faa91971bd35e14d8 0x115e9 _nc_setup_tinfo libtinfo.so.5 -
:2583bf68f2f1c27bb1d9964faa91971bd35e14d8 0x11967 _nc_setupterm libtinfo.so.5 -
:2583bf68f2f1c27bb1d9964faa91971bd35e14d8 0x11d63 tgetent libtinfo.so.5 -
:a562117b6128fbe046baacfa938f351bd590d514 0x3cd4a init_term [exe] -
:a562117b6128fbe046baacfa938f351bd590d514 0x5bfd9 setstrvalue [exe] -
:a562117b6128fbe046baacfa938f351bd590d514 0x603f2 assignsparam [exe] -
:a562117b6128fbe046baacfa938f351bd590d514 0x25697 - [exe] -
:a562117b6128fbe046baacfa938f351bd590d514 0x25989 - [exe] -
:a562117b6128fbe046baacfa938f351bd590d514 0x2bdaf execlist [exe] -
:a562117b6128fbe046baacfa938f351bd590d514 0x4bd41 execif [exe] -
:a562117b6128fbe046baacfa938f351bd590d514 0x29795 - [exe] -
:a562117b6128fbe046baacfa938f351bd590d514 0x2a8c6 - [exe] -
:a562117b6128fbe046baacfa938f351bd590d514 0x2adcf - [exe] -
:a562117b6128fbe046baacfa938f351bd590d514 0x2bf67 execlist [exe] -
:a562117b6128fbe046baacfa938f351bd590d514 0x2c47d execode [exe] -
:a562117b6128fbe046baacfa938f351bd590d514 0x3ca17 loop [exe] -
:a562117b6128fbe046baacfa938f351bd590d514 0x3dfa9 source [exe] -
:a562117b6128fbe046baacfa938f351bd590d514 0x3e2a8 sourcehome [exe] -
:a562117b6128fbe046baacfa938f351bd590d514 0x3e4ba run_init_scripts [exe] -
:a562117b6128fbe046baacfa938f351bd590d514 0x3f46f zsh_main [exe] -

dso_list:
:/usr/lib64/libncursesw.so.5.9 ncurses-libs-5.9-4.20120204.fc17.x86_64 (Fedora Project) 1337719368
:/usr/lib64/libm-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1337719366
:/usr/lib64/libgcc_s-4.7.0-20120507.so.1 libgcc-4.7.0-5.fc17.x86_64 (Fedora Project) 1337719359
:/usr/lib64/libtinfo.so.5.9 ncurses-libs-5.9-4.20120204.fc17.x86_64 (Fedora Project) 1337719368
:/usr/lib64/libc-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1337719366
:/usr/lib64/libnss_files-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1337719366
:/usr/lib64/librt-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1337719366
:/usr/bin/zsh zsh-4.3.17-1.fc17.x86_64 (Fedora Project) 1342411653
:/usr/lib64/ld-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1337719366
:/usr/lib64/libdl-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1337719366
:/usr/lib64/zsh/4.3.17/zsh/zle.so zsh-4.3.17-1.fc17.x86_64 (Fedora Project) 1342411653
:/usr/lib64/libpthread-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1337719366

environ:
:STY=1581.magic
:TERM=screen.rxvt
:'TERMCAP=SC|screen.rxvt|VT 100/ANSI X3.64 virtual terminal:\\\n\t:DO=\\E[%dB:LE=\\E[%dD:RI=\\E[%dC:UP=\\E[%dA:bs:bt=\\E[Z:\\\n\t:cd=\\E[J:ce=\\E[K:cl=\\E[H\\E[J:cm=\\E[%i%d;%dH:ct=\\E[3g:\\\n\t:do=^J:nd=\\E[C:pt:rc=\\E8:rs=\\Ec:sc=\\E7:st=\\EH:up=\\EM:\\\n\t:le=^H:bl=^G:cr=^M:it#8:ho=\\E[H:nw=\\EE:ta=^I:is=\\E)0:\\\n\t:li#82:co#319:am:xn:xv:LP:sr=\\EM:al=\\E[L:AL=\\E[%dL:\\\n\t:cs=\\E[%i%d;%dr:dl=\\E[M:DL=\\E[%dM:im=\\E[4h:ei=\\E[4l:mi:\\\n\t:IC=\\E[%d@:ks=\\E[?1h\\E=:ke=\\E[?1l\\E>:vi=\\E[?25l:\\\n\t:ve=\\E[34h\\E[?25h:vs=\\E[34l:ti=\\E[?1049h:te=\\E[?1049l:\\\n\t:us=\\E[4m:ue=\\E[24m:so=\\E[3m:se=\\E[23m:mb=\\E[5m:\\\n\t:md=\\E[1m:mr=\\E[7m:me=\\E[m:ms:\\\n\t:Co#8:pa#64:AF=\\E[3%dm:AB=\\E[4%dm:op=\\E[39;49m:AX:\\\n\t:vb=\\Eg:G0:as=\\E(0:ae=\\E(B:\\\n\t:ac=\\140\\140aaffggjjkkllmmnnooppqqrrssttuuvvwwxxyyzz{{||}}~~..--++,,hhII00:\\\n\t:Km=\\E[M:k0=\\E[10~:k1=\\EOP:k2=\\EOQ:k3=\\EOR:k4=\\EOS:\\\n\t:k5=\\E[15~:k6=\\E[17~:k7=\\E[18~:k8=\\E[19~:k9=\\E[20~:\\\n\t:k;=\\E[21~:F1=\\E[23~:F2=\\E[24~:F3=\\E[25~:F4=\\E[26~:\\\n\t:F5=\\E[28~:F6=\\E[29~:F7=\\E[31~:F8=\\E[32~:F9=\\E[33~:\\\n\t:FA=\\E[34~:kb=\x7f:K1=\\EOw:K2=\\EOu:K3=\\EOy:K4=\\EOq:K5=\\EOs:\\\n\t:kB=\\E[Z:kE=\\E[8\\^:kF=\\E[a:kR=\\E[b:*4=\\E[3$:*7=\\E[8$:\\\n\t:#2=\\E[7$:#3=\\E[2$:#4=\\E[d:%c=\\E[6$:%e=\\E[5$:%i=\\E[c:\\\n\t:kh=\\E[1~:@1=\\E[1~:kH=\\E[4~:@7=\\E[4~:kN=\\E[6~:kP=\\E[5~:\\\n\t:kI=\\E[2~:kD=\\E[3~:ku=\\EOA:kd=\\EOB:kr=\\EOC:kl=\\EOD:'
:WINDOW=0
:SHELL=/bin/zsh
:XDG_SESSION_ID=8
:HOSTNAME=endicor
:SELINUX_ROLE_REQUESTED=
:HISTSIZE=10000
:'SSH_CLIENT=10.0.0.42 35030 22'
:SELINUX_USE_CURRENT_RANGE=
:SSH_TTY=/dev/pts/0
:USER=al
:LS_COLORS=rs=0:di=00;34:ln=00;30:mh=00:pi=40;33:so=00;35:do=00;35:bd=40;33;01:cd=40;33;01:or=40;31;01:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=00;32:
:PAGER=less
:MAIL=/var/spool/mail/al
:PATH=/data/opt/Linux/x86_64/coccinelle/bin:/data/opt/Linux/x86_64/gmake/bin:/data/opt/Linux/x86_64/gcc-4.6/bin:/data/opt/Linux/x86_64/git/bin:/data/opt/Linux/x86_64/vim/bin:/data/opt/Linux/x86_64/menhir/bin:/data/opt/Linux/x86_64/autoconf/bin:/data/opt/Linux/x86_64/qemu/bin:/home/al/bin:/bin:/sbin:/usr/bin:/usr/sbin:/usr/games:/usr/local/bin:/usr/local/sbin
:PWD=/data/magic
:XMODIFIERS=@im=none
:LANG=C
:SELINUX_LEVEL_REQUESTED=
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:SHLVL=2
:HOME=/home/al
:LOGNAME=al
:'SSH_CONNECTION=10.0.0.42 35030 10.0.0.34 22'
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:XDG_RUNTIME_DIR=/run/user/al
:_=/home/al/bin/Linux/x86_64/screen

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 15775                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       15775                15775                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/pts/12
:pos:	0
:flags:	0100002
:1:/dev/pts/12
:pos:	0
:flags:	0100002
:2:/dev/pts/12
:pos:	0
:flags:	0100002

var_log_messages:
:Jul 16 00:07:34 endicor yum[1494]: Installed: zsh-4.3.17-1.fc17.x86_64
:Jul 16 00:46:17 endicor kernel: [ 6040.614583] zsh[1583]: segfault at 7fff5c000000 ip 00007f54ffdc91bc sp 00007fff5ca11ce8 error 4 in libc-2.15.so[7f54ffd49000+1ac000]
:Jul 16 00:46:17 endicor abrt[1634]: Saved core dump of pid 1583 (/usr/bin/zsh) to /var/spool/abrt/ccpp-2012-07-16-00:46:17-1583 (946176 bytes)
Comment 1 Arnaud Lacombe 2012-07-16 01:04:38 EDT
Created attachment 598367 [details]
File: maps
Comment 2 Arnaud Lacombe 2012-07-16 01:04:40 EDT
Created attachment 598368 [details]
File: backtrace
Comment 3 tehmasp 2012-11-25 23:26:19 EST
With my default shell setup for zsh; attempting to start gnome-terminal always results in a failure. The terminal window pops open and then closes (crashes).

backtrace_rating: 4
Package: zsh-4.3.17-1.fc17
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 4 Fedora End Of Life 2013-07-03 18:51:08 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-07-31 21:01:37 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.